Bug 87605

Summary: [BlackBerry] WebKit-side implementation of SelectionOverlay
Product: WebKit Reporter: Arvid Nilsson <anilsson>
Component: WebKit BlackBerryAssignee: Arvid Nilsson <anilsson>
Status: RESOLVED FIXED    
Severity: Normal CC: kpiascik, manyoso, mifenton, mlattanzio, rwlbuis, staikos, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 87604    
Bug Blocks: 87606    
Attachments:
Description Flags
Patch
none
Patch none

Description Arvid Nilsson 2012-05-27 15:12:55 PDT
Leverage the new WebOverlay API to move SelectionOverlay to the WebKit library, so we always draw selection regardless of which embedder is integrating WebKit.

Please note that this has not been internally reviewed yet, so it needs actual review. And also, it has a dependency that needs to be landed first.
Comment 1 Arvid Nilsson 2012-05-27 16:37:45 PDT
Created attachment 144252 [details]
Patch
Comment 2 Arvid Nilsson 2012-05-27 16:55:08 PDT
PR #160263
Comment 3 Mike Fenton 2012-05-28 07:31:29 PDT
Comment on attachment 144252 [details]
Patch

Looks good to me.
Comment 4 Rob Buis 2012-05-28 08:16:48 PDT
Comment on attachment 144252 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=144252&action=review

Looks good.

> Source/WebKit/blackberry/WebKitSupport/SelectionOverlay.cpp:32
> +#include <SkCornerPathEffect.h>

Is this used?
Comment 5 Arvid Nilsson 2012-05-28 08:51:22 PDT
(In reply to comment #4)
> (From update of attachment 144252 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=144252&action=review
> 
> Looks good.
> 
> > Source/WebKit/blackberry/WebKitSupport/SelectionOverlay.cpp:32
> > +#include <SkCornerPathEffect.h>
> 
> Is this used?

Oops, no it's not - I will upload a new patch
Comment 6 Arvid Nilsson 2012-05-28 14:51:17 PDT
Created attachment 144400 [details]
Patch
Comment 7 Rob Buis 2012-05-29 08:12:30 PDT
Comment on attachment 144400 [details]
Patch

Looks good.
Comment 8 WebKit Review Bot 2012-05-29 09:06:30 PDT
Comment on attachment 144400 [details]
Patch

Clearing flags on attachment: 144400

Committed r118785: <http://trac.webkit.org/changeset/118785>
Comment 9 WebKit Review Bot 2012-05-29 09:06:36 PDT
All reviewed patches have been landed.  Closing bug.